Package io.milvus.param.control

## Class GetFlushAllStateParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetFlushAllStateParam.Builder

- Enclosing class:
    GetFlushAllStateParam

      public static final class GetFlushAllStateParam.Builder
      extends java.lang.Object

  Builder for `GetFlushAllStateParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GetFlushAllStateParam` | `build()` | Verifies parameters and creates a new `GetFlushAllStateParam` instance.
    `GetFlushAllStateParam.Builder` | `withFlushAllTs​(@NonNull java.lang.Long flushAllTs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withFlushAllTs

          public GetFlushAllStateParam.Builder withFlushAllTs​(@NonNull
                                                              @NonNull java.lang.Long flushAllTs)

    - #### build

          public GetFlushAllStateParam build()
                                      throws ParamException

      Verifies parameters and creates a new `GetFlushAllStateParam` instance.
      Returns:
        `GetFlushAllStateParam`
      Throws:
        `ParamException`